> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Unfollow

> Unfollow a specific channel by ID

## 取消关注账号

**URL**: `/v1/channels/{channel_id}/unfollow`\
**方法**: `DELETE`\
**描述**: 取消关注账号

### 请求参数

| 参数名         | 类型  | 描述       |
| ----------- | --- | -------- |
| channel\_id | str | 账号唯一 ID。 |

### 响应参数

| 参数名     | 类型  | 描述    |
| ------- | --- | ----- |
| status  | str | 状态码。  |
| message | str | 状态信息。 |


## OpenAPI

````yaml DELETE /v1/channels/{channel_id}/unfollow
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/channels/{channel_id}/unfollow:
    delete:
      tags:
        - openapi-channels
      summary: Unfollow Channel
      description: Unfollow a specific channel by ID
      operationId: unfollow_channel_reportify_api_v1_channels__channel_id__unfollow_delete
      parameters:
        - description: Channel ID
          required: true
          schema:
            type: string
            title: Channel Id
            description: Channel ID
          name: channel_id
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    StatusMessage:
      properties:
        status:
          type: boolean
          title: Status
          default: true
        message:
          type: string
          title: Message
          default: success
      type: object
      title: StatusMessage
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````